PDA

View Full Version : phpMyAdmin upgrade



jossro
03-22-2006, 02:10 PM
Ok, I apologise up front if this question has a very obvious answer, but I'm asking anyway because I haven't been able to get a straight answer.

I want to use the site manager to upgrade phpMyAdmin from 2.5 to 2.7.0 which is the latest version. MySQL and php are up to date (as far as those that are available on Westhost go).

When I use the site manager to do the upgrade, it reminds me that I have to backup my databases. However, if I check on the phpMyAdmin site for upgrading to an older version, it merely tells me to "copy ./config.inc.php from the previous install" (then some further information about older versions before 2.3).

I asked Westhost Chat what to do, and they said to back up the databases (I do so regularly anyway, so not an issue).

I just don't want to spend time doing stuff I don't need to since the whole site manager takes so long to process requests.

Any help/answers/suggestions are appreciated.

Many thanks.
Joss

wildjokerdesign
03-22-2006, 02:43 PM
Joss if You are only upgradeing phpMyAdmin and you do regular backups of your databases then you should be ok. The backup of databases "suggestion" is a in case of disaster. :) Normally when you upgrade phpMyAdmin you are not going to need your backups. At least I have not. What databases do you have running? Have you messed with any databases other then ones you yourself have created?

By the way I normally back up my databases via phpMyAdmin itself and not through the Site Manager.

Also if when you are in chat the support staff states something you are not sure of... don't be afraid to ask them for clarification. :) I sometimes just don't catch on the first time they say it.

jossro
03-22-2006, 03:07 PM
Thanks Shawn,

I knew it really was simple! I didn't think I needed to worry about the mysql db's in upgrading phpMyAdmin, until I got the warning on the upgrade panel. Usually I back up my stuff using phpMyAdmin, or for the constantly in use databases, I use cocoaMySQL and/or YourSQL, with which I access my dbs from my home computer. And I haven't messed with anything other than what I've created, so I'm sure I'm going to be fine.

I'm generally not one for using site manager for much, especially when it's slow, and I'm certain that the upgrade is going to take a while just because of that.

Meantime, I'll have to put up my "site under maintenance flag", but not doing this until later tonight..

Thanks again for your input.

Cheers
Joss

:)

wildjokerdesign
03-22-2006, 03:22 PM
It really sounds like you are in good shape. As long as you have the back ups if something does go wrong you should be able to restore. Upgrades of phpMyAdmin do not actually "touch" your databases as I understand it.

jalal
03-22-2006, 04:18 PM
Shawn is right, phpMyAdmin only helps you view the databases, it actually has no connection to the databases and you can uninstall, downgrade or upgrade it with no effect on the databases.
Quite why they give dire warnings about backing up databases is a mystery to me!